Skip to main content
PUT
/
users
/
{id}
Update user
curl --request PUT \
  --url https://api.getenso.ai/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "jsmith@example.com",
  "RoleId": 123
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

id
string
required

User ID

Body

application/json
name
string
email
string<email>
RoleId
integer

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)